﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Mandatories" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Mandatory Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

<!--            
            IF [STIC2] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [STIC2] = STIC:INT:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        -->

<assert  id="VR.ATO.STIC.000006" diagnostics="DVR.ATO.STIC.000006" test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
</rule>

<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]">

<let name="currentContextId" value="@id" />

<!--
            FOR ANY OCCURRENCE OF CONTEXT (RP)
            IF [STIC4] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF

            [STIC4] = STIC:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
        -->

<assert  id="VR.ATO.STIC.000007" diagnostics="DVR.ATO.STIC.000007" test="not(
                        . = $RP.Context
                        and                       
                        not(../pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                     )"></assert>
<!--
            FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
            IF [STIC7] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF

            [STIC7] = STIC:SuperFundMember.{ReportingPartyABN}:pyin.02.14:Interaction.Reason.Text
        -->

<assert  id="VR.ATO.STIC.000008" diagnostics="DVR.ATO.STIC.000008" test="not(
                        . = $SFMABN.Context
                        and                       
                        not(../pyin.02.14:Interaction.Reason.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
<!--
            FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
            IF [STIC11] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF

            [STIC11] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.12:PersonDemographicDetails.Birth.Year
        -->

<assert  id="VR.ATO.STIC.000013" diagnostics="DVR.ATO.STIC.000013" test="not(
                        . = $SFMABN.Context 
                        and                       
                        not(../pyde.02.12:PersonDemographicDetails.Birth.Year[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1')])
                     )"></assert>
<!--
            FOR ANY OCCURRENCE OF CONTEXT (SuperFundMember.{ReportingPartyABN})
            IF [STIC12] = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF

            [STIC12] = STIC:SuperFundMember.{ReportingPartyABN}:pyde.02.00:PersonNameDetails.FamilyName.Text
        -->

<assert  id="VR.ATO.STIC.000015" diagnostics="DVR.ATO.STIC.000015" test="not(
                        . = $SFMABN.Context 
                        and                       
                        not(../pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $currentContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                     )"></assert>

</rule>
</pattern>